<?php
echo $header;
echo $column_left;
?>

<style>
    .swedbank-group::after {
        color: #959595;
        font-size: 12px;
        font-weight: 700;
        left: 15px;
        letter-spacing: 1px;
        position: absolute;
        text-transform: uppercase;
        top: 15px;
    }

    .swedbank-group {
        background-color: #fff;
        border-color: #ddd;
        border-radius: 4px 4px 0 0;
        border-width: 1px;
        box-shadow: none;
        margin-left: 0;
        margin-right: 0;
        border-style: solid;
        padding: 45px 15px 15px;
        position: relative;
        margin-bottom: 15px;
    }

    .swedbank-group-lt::after{
        content: "<?php echo $text_lithuania; ?>";
    }
    .swedbank-group-lv::after{
        content: "<?php echo $text_latvia; ?>";
    }
    .swedbank-group-ee::after{
        content: "<?php echo $text_estonia; ?>";
    }
    .swedbank-group-general::after{
        content: "<?php echo $text_general; ?>";
    }

</style>

<div id="content">
    <div class="page-header">
        <div class="container">
            <div class="pull-right">
                <button type="submit" form="form-swedbank" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
                <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
            <h1><?php echo $heading_title; ?></h1>
            <ul class="breadcrumb">
                <?php foreach ($breadcrumbs as $breadcrumb) { ?>
                    <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
                <?php } ?>
            </ul>
        </div>
    </div>

    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-swedbank" class="form-horizontal">
        <div class="container" style="margin-bottom: 15px;">
            <?php if ($error_warning) { ?>
                <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                </div>
            <?php } ?>


            <div class="swedbank-group swedbank-group-general">
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3"><label><?php echo $text_notification_url; ?></label></div>
                    <div class="col-sm-9"><?php echo $text_please_provide_url; ?><?php echo (isset($_SERVER['HTTPS']) ? "https" : "http") . '://' . $_SERVER['HTTP_HOST']; ?>/index.php?route=extension/payment/swedbank/bankinformme</div>
                </div>

                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3"><label><?php echo $text_nocron_url; ?></label></div>
                    <div class="col-sm-9"><?php echo $text_cronjob; ?><?php echo (isset($_SERVER['HTTPS']) ? "https" : "http") . '://' . $_SERVER['HTTP_HOST']; ?>/index.php?route=extension/payment/swedbank/runcron</div>
                </div>

                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_status"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_status">
                                <input class="" <?php echo (int)$swedbank_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_status" id="swedbank_status" style="" value="1" type="checkbox"> <?php echo $text_to_use_plugin; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_debuging_lt"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_debuging_lt">
                                <input class="" <?php echo (int)$swedbank_debuging_lt === 1 ? 'checked="checked"' : ''; ?> name="swedbank_debuging_lt" id="swedbank_debuging_lt" style="" value="1" type="checkbox"> <?php echo $text_debug; ?></label><br>
                            <p class="description"><?php echo $text_storing_transaction; ?></p>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="input-sort-order"><?php echo $text_sort_order; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="form-control" name="swedbank_sort_order" id="input-sort-order" style="" placeholder="<?php echo $text_sort_order; ?>" value="<?php echo $swedbank_sort_order; ?>" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="input-order-status"><?php echo $text_order_status_a_p; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <select class="form-control" id="input-order-status" name="swedbank_order_status_id">
                                <?php foreach ($order_statuses as $order_status) { ?>
                                    <?php if ($order_status['order_status_id'] == $swedbank_order_status_id) { ?>
                                        <option value="<?php echo $order_status['order_status_id']; ?>" selected="selected"><?php echo $order_status['name']; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </fieldset>
                    </div>
                </div>

            </div>

            <div class="swedbank-group swedbank-group-lt">
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_card_lt"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_card_lt">
                                <input class="" name="swedbank_lt_card_status" <?php echo (int)$swedbank_lt_card_status === 1 ? 'checked="checked"' : ''; ?> id="swedbank_card_lt" style="" value="1" type="checkbox"> <?php echo $text_card_paymnet_lt; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_swedbank_lt"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_swedbank_lt">
                                <input class=""  <?php echo (int)$swedbank_lt_swedbank_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_lt_swedbank_status" id="swedbank_swedbank_lt" style="" value="1" type="checkbox"> <?php echo $text_swedbank_banklink_lt; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_seb_lt"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_seb_lt">
                                <input class="" <?php echo (int)$swedbank_lt_seb_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_lt_seb_status" id="swedbank_seb_lt" style="" value="1" type="checkbox"> <?php echo $text_seb_banklink_lt; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_dnb_lt"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_dnb_lt">
                                <input class="" <?php echo (int)$swedbank_lt_dnb_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_lt_dnb_status" id="swedbank_dnb_lt" style="" value="1" type="checkbox"> <?php echo $text_dnb_banklink_lt; ?></label><br>
                        </fieldset>
                    </div>
                </div>

                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_testmode_lt"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_testmode_lt">
                                <input class="" <?php echo (int)$swedbank_testmode_lt === 1 ? 'checked="checked"' : ''; ?> name="swedbank_testmode_lt" id="swedbank_testmode_lt" style="" value="1" type="checkbox"> <?php echo $text_test_mode; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <span class="woocommerce-help-tip"></span> <label for="swedbank_testvtid_lt"><?php echo $text_test_vtid_lt; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_testvtid_lt" id="swedbank_testvtid_lt" style="" value="<?php echo $swedbank_testvtid_lt; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <span class="woocommerce-help-tip"></span> <label for="swedbank_testpass_lt"><?php echo $text_test_password_lt; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_testpass_lt" id="swedbank_testpass_lt" style="" value="<?php echo $swedbank_testpass_lt; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>

                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_vtid_lt"><?php echo $text_vtid_lt; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_vtid_lt" id="swedbank_vtid_lt" style="" value="<?php echo $swedbank_vtid_lt; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_pass_lt"><?php echo $text_password_lt; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_pass_lt" id="swedbank_pass_lt" style="" value="<?php echo $swedbank_pass_lt; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3 required">
                        <label for="input-geo-zone-lt"><?php echo $text_geo_zone_lt; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <select name="swedbank_geo_zone_id_lt" id="input-geo-zone-lt" class="form-control">
                                <option value="0"><?php echo $text_all_zones; ?></option>
                                <?php foreach ($geo_zones as $geo_zone) { ?>
                                    <?php if ($geo_zone['geo_zone_id'] == $swedbank_geo_zone_id_lt) { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </fieldset>
                    </div>
                </div>

                

            </div>

            <div class="swedbank-group swedbank-group-lv">
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_card_lv"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_card_lv">
                                <input class="" <?php echo (int)$swedbank_lv_card_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_lv_card_status" id="swedbank_card_lv" style="" value="1" type="checkbox"> <?php echo $text_card_paymnent_lv; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_swedbank_lv"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_swedbank_lv">
                                <input class="" <?php echo (int)$swedbank_lv_swedbank_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_lv_swedbank_status" id="swedbank_swedbank_lv" style="" value="1" type="checkbox"> <?php echo $text_swedbank_banklink_lv; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_seb_lv"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_seb_lv">
                                <input class="" <?php echo (int)$swedbank_lv_seb_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_lv_seb_status" id="swedbank_seb_lv" style="" value="1" type="checkbox"> <?php echo $text_seb_banklink_lv; ?></label><br>
                        </fieldset>
                    </div>
                </div>


                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_testmode_lv"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_testmode_lv">
                                <input class="" <?php echo (int)$swedbank_testmode_lv === 1 ? 'checked="checked"' : ''; ?> name="swedbank_testmode_lv" id="swedbank_testmode_lv" style="" value="1" type="checkbox"> <?php echo $text_test_mode; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <span class="woocommerce-help-tip"></span> <label for="swedbank_testvtid_lv"><?php echo $text_test_vtid_lv; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_testvtid_lv" id="swedbank_testvtid_lv" style="" value="<?php echo $swedbank_testvtid_lv; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <span class="woocommerce-help-tip"></span> <label for="swedbank_testpass_lv"><?php echo $text_test_password_lv; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_testpass_lv" id="swedbank_testpass_lv" style="" value="<?php echo $swedbank_testpass_lv; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_vtid_lv"><?php echo $text_vtid_lv; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_vtid_lv" id="swedbank_vtid_lv" style="" value="<?php echo $swedbank_vtid_lv; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_pass_lv"><?php echo $text_password_lv; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_pass_lv" id="swedbank_pass_lv" style="" value="<?php echo $swedbank_pass_lv; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>

                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="input-geo-zone-lv"><?php echo $text_geo_zone_lv; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <select name="swedbank_geo_zone_id_lv" id="input-geo-zone-lv" class="form-control">
                                <option value="0"><?php echo $text_all_zones; ?></option>
                                <?php foreach ($geo_zones as $geo_zone) { ?>
                                    <?php if ($geo_zone['geo_zone_id'] == $swedbank_geo_zone_id_lv) { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </fieldset>
                    </div>
                </div>
                

            </div>

            <div class="swedbank-group swedbank-group-ee">

                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_card_ee"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_card_ee">
                                <input class="" <?php echo (int)$swedbank_ee_card_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_ee_card_status" id="swedbank_card_ee" style="" value="1" type="checkbox"> <?php echo $text_card_payment_ee; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_swedbank_ee"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_swedbank_ee">
                                <input class="" <?php echo (int)$swedbank_ee_swedbank_status === 1 ? 'checked="checked"' : ''; ?> name="swedbank_ee_swedbank_status" id="swedbank_swedbank_ee" style="" value="1" type="checkbox"> <?php echo $text_swedbank_banklink_ee; ?></label><br>
                        </fieldset>
                    </div>
                </div>

                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_testmode_ee"><?php echo $text_enable_disable; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <label for="swedbank_testmode_ee">
                                <input class="" <?php echo (int)$swedbank_testmode_ee === 1 ? 'checked="checked"' : ''; ?> name="swedbank_testmode_ee" id="swedbank_testmode_ee" style="" value="1" type="checkbox"> <?php echo $text_test_mode; ?></label><br>
                        </fieldset>
                    </div>
                </div>
                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <span class="woocommerce-help-tip"></span> <label for="swedbank_testvtid_ee"><?php echo $text_test_vtid_ee; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_testvtid_ee" id="swedbank_testvtid_ee" style="" value="<?php echo $swedbank_testvtid_ee; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <span class="woocommerce-help-tip"></span> <label for="swedbank_testpass_ee"><?php echo $text_test_password_ee; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_testpass_ee" id="swedbank_testpass_ee" style="" value="<?php echo $swedbank_testpass_ee; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>

                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_vtid_ee"><?php echo $text_vtid_ee; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_vtid_ee" id="swedbank_vtid_ee" style="" value="<?php echo $swedbank_vtid_ee; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="swedbank_pass_ee"><?php echo $text_password_ee; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <input class="input-text regular-input form-control" name="swedbank_pass_ee" id="swedbank_pass_ee" style="" value="<?php echo $swedbank_pass_ee; ?>" placeholder="" type="text">
                        </fieldset>
                    </div>
                </div>

                <hr/>
                <div class="row"  style="margin-bottom: 15px;">
                    <div class="col-sm-3">
                        <label for="input-geo-zone-ee"><?php echo $text_geo_zone_ee; ?></label>
                    </div>
                    <div class="col-sm-9">
                        <fieldset>
                            <select name="swedbank_geo_zone_id_ee" id="input-geo-zone-ee" class="form-control">
                                <option value="0"><?php echo $text_all_zones; ?></option>
                                <?php foreach ($geo_zones as $geo_zone) { ?>
                                    <?php if ($geo_zone['geo_zone_id'] == $swedbank_geo_zone_id_ee) { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>" selected="selected"><?php echo $geo_zone['name']; ?></option>
                                    <?php } else { ?>
                                        <option value="<?php echo $geo_zone['geo_zone_id']; ?>"><?php echo $geo_zone['name']; ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </fieldset>
                    </div>
                </div>

            </div>
        </div>
    </form>

</div>

<?php
echo $footer;
